org.apache.ignite.internal.management.snapshot

## Class SnapshotRestoreCommand

- java.lang.Object
- - org.apache.ignite.internal.management.snapshot.AbstractSnapshotCommand<SnapshotRestoreCommandArg>
  - - org.apache.ignite.internal.management.snapshot.SnapshotRestoreCommand

All Implemented Interfaces:
  Command<SnapshotRestoreCommandArg,SnapshotTaskResult>, ComputeCommand<SnapshotRestoreCommandArg,SnapshotTaskResult>

    public class SnapshotRestoreCommand
    extends AbstractSnapshotCommand<SnapshotRestoreCommandArg>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotRestoreCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<SnapshotRestoreCommandArg>` `argClass()`
`String` `confirmationPrompt(SnapshotRestoreCommandArg arg)`
`@Nullable String` `deprecationMessage(SnapshotRestoreCommandArg arg)`
`String` `description()` Command description.
`Class<SnapshotRestoreTask>` `taskClass()`

### Methods inherited from class org.apache.ignite.internal.management.snapshot.AbstractSnapshotCommand

`printResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`nodes`

### Constructor Detail

#### SnapshotRestoreCommand

    public SnapshotRestoreCommand()

### Method Detail

#### description

    public String description()

Command description.

#### deprecationMessage

    @Nullable
    public @Nullable String deprecationMessage(SnapshotRestoreCommandArg arg)

Parameters:
  `arg` - Command argument.
Returns:
  Deprecation message if command on the way to being decomissioned.

#### argClass

    public Class<SnapshotRestoreCommandArg> argClass()

Returns:
  Arguments class.

#### taskClass

    public Class<SnapshotRestoreTask> taskClass()

Returns:
  Task class.

#### confirmationPrompt

    public String confirmationPrompt(SnapshotRestoreCommandArg arg)

Parameters:
  `arg` - Command argument.
Returns:
  Message text to show user for. If `null` it means that confirmation is not needed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023